libinput-debug-gui(1)

NAME
libinput-debug-gui - visual debug helper for libinput

SYNOPSIS
libinput debug-gui [--help] [--udev <seat>|--device /dev/input/event0] [configuration options]

DESCRIPTION

The libinput debug-gui tool creates a libinput context and a full-screen GTK window to visualize events processed by libinput. This tool exclusively grabs pointing devices and stops them from interacting with the rest of the GUI.

Hit Esc to exit this tool.

This is a debugging tool only, its output or behavior may change at any time. Do not rely on the output or the behavior.

This tool usually needs to be run as root to have access to the /dev/input/eventX nodes.

OPTIONS

--device /dev/input/event0
    Use the given device with the path backend.

--grab
    Exclusively grab all opened devices. This will prevent events from being delivered to the host system.

--help
    Print help

--udev <seat>
    Use the udev backend to listen for device notifications on the given seat. The default behavior is equivalent to --udev "seat0".

--verbose
    Use verbose output

For libinput configuration options, see libinput-debug-events(1)

NOTES

Events shown by this tool may not correspond to the events seen by a different user of libinput. This tool initializes a separate context.

LIBINPUT
Part of the libinput(1) suite